# Type alias WithFaceLandmarks<TSource, TFaceLandmarks>

WithFaceLandmarks<TSource, TFaceLandmarks>: TSource & { alignedRect: FaceDetection; angle: { pitch: number | undefined; roll: number | undefined; yaw: number | undefined }; landmarks: TFaceLandmarks; unshiftedLandmarks: TFaceLandmarks }

#### Type Parameters

- #### TSource extends WithFaceDetection<{}>

- #### TFaceLandmarks extends FaceLandmarks = FaceLandmarks68

- Defined in factories/WithFaceLandmarks.ts:6